## r-cran-bold 0.5.0

=== DESCRIPTION ===
Package: bold
Title: Interface to Bold Systems API
Description: A programmatic interface to the Web Service methods provided by
    Bold Systems (<http://www.boldsystems.org/>) for genetic 'barcode' data.
    Functions include methods for searching by sequences by taxonomic names,
    ids, collectors, and institutions; as well as a function for searching
    for specimens, and downloading trace files.
Version: 0.5.0
License: MIT + file LICENSE
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com"))
URL: https://github.com/ropensci/bold
BugReports: https://github.com/ropensci/bold/issues
VignetteBuilder: knitr
LazyData: yes
Imports: xml2, crul (>= 0.3.8), stringr, jsonlite, reshape, plyr,
        data.table, tibble
Suggests: roxygen2 (>= 6.0.1), sangerseqR, knitr, testthat
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-07-21 15:41:54 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2017-07-21 23:02:56 UTC

## r-cran-bold 0.3.0

=== debian/changelog ===
r-cran-bold (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #819226)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Mar 2016 07:37:04 +0100

=== debian/control ===
Source: r-cran-bold
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-xml,
               r-cran-stringr,
               r-cran-assertthat,
               r-cran-jsonlite,
               r-cran-reshape,
               r-cran-plyr,
               r-cran-httr
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-bold/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bold/trunk/
Homepage: https://cran.r-project.org/web/packages/bold/

Package: r-cran-bold
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends},
         r-cran-xml,
         r-cran-stringr,
         r-cran-assertthat,
         r-cran-jsonlite,
         r-cran-reshape,
         r-cran-plyr,
         r-cran-httr
Description: GNU R interface to Bold Systems for genetic barcode data
 A programmatic interface to the Web Service methods provided by Bold
 Systems for genetic barcode data. Functions include methods for
 searching by sequences by taxonomic names, ids, collectors, and
 institutions; as well as a function for searching for specimens, and
 downloading trace files.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/bold_([-0-9\.]*).tar.gz

## r-cran-bold 0.4.0

=== debian/changelog ===
r-cran-bold (0.4.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4
  * New Build-Depends: r-cran-data.table, r-cran-tibble

 -- Andreas Tille <tille@debian.org>  Sun, 08 Jan 2017 08:30:33 +0100

r-cran-bold (0.3.5-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * New Build-Depends: r-cran-xml2

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 11:38:13 +0100

=== debian/control ===
Source: r-cran-bold
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-xml,
               r-cran-stringr,
               r-cran-assertthat,
               r-cran-jsonlite,
               r-cran-reshape,
               r-cran-plyr,
               r-cran-httr,
               r-cran-xml2,
               r-cran-data.table,
               r-cran-tibble
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-bold/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bold/trunk/
Homepage: https://cran.r-project.org/package=bold

Package: r-cran-bold
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to Bold Systems for genetic barcode data
 A programmatic interface to the Web Service methods provided by Bold
 Systems for genetic barcode data. Functions include methods for
 searching by sequences by taxonomic names, ids, collectors, and
 institutions; as well as a function for searching for specimens, and
 downloading trace files.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/bold_([-0-9\.]*).tar.gz

## r-cran-bold 0.5.0

=== debian/changelog ===
r-cran-bold (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Add debian/README.source to document binary data files
  * Build-Depends: r-cran-crul

 -- Andreas Tille <tille@debian.org>  Sun, 01 Oct 2017 22:48:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                r-cran-xml,
                r-cran-stringr,
                r-cran-assertthat,
+               r-cran-crul,
                r-cran-jsonlite,
                r-cran-reshape,
                r-cran-plyr,
@@ -16,9 +17,9 @@
                r-cran-xml2,
                r-cran-data.table,
                r-cran-tibble
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-bold/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bold/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-bold.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-bold.git
 Homepage: https://cran.r-project.org/package=bold
 
 Package: r-cran-bold

## r-cran-bold 0.5.0+dfsg

=== debian/changelog ===
r-cran-bold (0.5.0+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jun 2018 21:39:06 +0200

=== debian/control ===
Source: r-cran-bold
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-xml2,
               r-cran-crul,
               r-cran-stringr,
               r-cran-jsonlite,
               r-cran-reshape,
               r-cran-plyr,
               r-cran-data.table,
               r-cran-tibble
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bold
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bold.git
Homepage: https://cran.r-project.org/package=bold

Package: r-cran-bold
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to Bold Systems for genetic barcode data
 A programmatic interface to the Web Service methods provided by Bold
 Systems for genetic barcode data. Functions include methods for
 searching by sequences by taxonomic names, ids, collectors, and
 institutions; as well as a function for searching for specimens, and
 downloading trace files.

## r-cran-bold 0.8.6+dfsg

=== DESCRIPTION ===
Package: bold
Title: Interface to Bold Systems API
Description: A programmatic interface to the Web Service methods provided by
    Bold Systems (<http://www.boldsystems.org/>) for genetic 'barcode' data.
    Functions include methods for searching by sequences by taxonomic names,
    ids, collectors, and institutions; as well as a function for searching
    for specimens, and downloading trace files.
Version: 0.8.6
License: MIT + file LICENSE
Authors@R: c(person("Scott", "Chamberlain",
    role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com",
    comment = c(ORCID="0000-0003-1444-9135")))
URL: https://github.com/ropensci/bold
BugReports: https://github.com/ropensci/bold/issues
VignetteBuilder: knitr
LazyData: yes
Encoding: UTF-8
Imports: xml2, crul (>= 0.3.8), stringr, jsonlite, reshape, plyr,
        data.table, tibble
Suggests: roxygen2 (>= 6.1.1), sangerseqR, knitr, testthat, vcr (>=
        0.2.0)
RoxygenNote: 6.1.1
X-schema.org-applicationCategory: Data Access
X-schema.org-keywords: biodiversity, barcode, DNA, sequences, fasta
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2018-12-14 22:21:32 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2018-12-14 22:40:03 UTC

=== debian/changelog ===
r-cran-bold (0.8.6+dfsg-2) unstable; urgency=medium

  * Test-Depends: r-cran-vcr
    Closes: #916723

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 22:10:12 +0100

r-cran-bold (0.8.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 11:18:00 +0100

r-cran-bold (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 30 Oct 2018 10:46:59 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-plyr,
                r-cran-data.table,
                r-cran-tibble
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bold
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bold.git
 Homepage: https://cran.r-project.org/package=bold

## r-cran-bold 0.9.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
     Functions include methods for searching by sequences by taxonomic names,
     ids, collectors, and institutions; as well as a function for searching
     for specimens, and downloading trace files.
-Version: 0.8.6
+Version: 0.9.0
 License: MIT + file LICENSE
 Authors@R: c(person("Scott", "Chamberlain",
     role = c("aut", "cre"),
@@ -19,14 +19,14 @@
 Imports: xml2, crul (>= 0.3.8), stringr, jsonlite, reshape, plyr,
         data.table, tibble
 Suggests: roxygen2 (>= 6.1.1), sangerseqR, knitr, testthat, vcr (>=
-        0.2.0)
+        0.2.2)
 RoxygenNote: 6.1.1
 X-schema.org-applicationCategory: Data Access
 X-schema.org-keywords: biodiversity, barcode, DNA, sequences, fasta
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2018-12-14 22:21:32 UTC; sckott
+Packaged: 2019-06-27 18:13:58 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
 Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-12-14 22:40:03 UTC
+Date/Publication: 2019-06-27 18:40:03 UTC

=== debian/changelog ===
r-cran-bold (0.9.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 15:28:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-xml2,
@@ -14,7 +14,7 @@
                r-cran-plyr,
                r-cran-data.table,
                r-cran-tibble
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bold
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bold.git
 Homepage: https://cran.r-project.org/package=bold

## r-cran-bold 1.1.0%2Bdfsg

=== DESCRIPTION ===
Package: bold
Title: Interface to Bold Systems API
Description: A programmatic interface to the Web Service methods provided by
    Bold Systems (<http://www.boldsystems.org/>) for genetic 'barcode' data.
    Functions include methods for searching by sequences by taxonomic names,
    ids, collectors, and institutions; as well as a function for searching
    for specimens, and downloading trace files.
Version: 1.1.0
License: MIT + file LICENSE
Authors@R: c(person("Scott", "Chamberlain",
    role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com",
    comment = c(ORCID="0000-0003-1444-9135")))
URL: https://docs.ropensci.org/bold, https://github.com/ropensci/bold
BugReports: https://github.com/ropensci/bold/issues
VignetteBuilder: knitr
LazyData: yes
Encoding: UTF-8
Imports: xml2, crul (>= 0.3.8), stringr, jsonlite, reshape, plyr,
        data.table, tibble
Suggests: sangerseqR, knitr, testthat, vcr (>= 0.5.4)
RoxygenNote: 7.1.0
X-schema.org-applicationCategory: Data Access
X-schema.org-keywords: biodiversity, barcode, DNA, sequences, fasta
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2020-06-17 18:13:21 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2020-06-17 23:30:07 UTC

## r-cran-bold 1.1.0+dfsg

=== debian/changelog ===
r-cran-bold (1.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 Jul 2020 09:41:03 +0200

r-cran-bold (1.0.0+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 22:15:20 +0200

r-cran-bold (1.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 10:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-xml2,
@@ -14,10 +15,11 @@
                r-cran-plyr,
                r-cran-data.table,
                r-cran-tibble
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bold
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bold.git
 Homepage: https://cran.r-project.org/package=bold
+Rules-Requires-Root: no
 
 Package: r-cran-bold
 Architecture: all

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/bold_([-0-9\.]*).tar.gz

## r-cran-bold 1.2.0

=== DESCRIPTION ===
Package: bold
Title: Interface to Bold Systems API
Description: A programmatic interface to the Web Service methods provided by
    Bold Systems (<http://www.boldsystems.org/>) for genetic 'barcode' data.
    Functions include methods for searching by sequences by taxonomic names,
    ids, collectors, and institutions; as well as a function for searching
    for specimens, and downloading trace files.
Version: 1.2.0
License: MIT + file LICENSE
Authors@R: c(person("Scott", "Chamberlain",
    role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com",
    comment = c(ORCID="0000-0003-1444-9135")))
URL: https://docs.ropensci.org/bold/ (documentation)
        https://github.com/ropensci/bold (source)
BugReports: https://github.com/ropensci/bold/issues
LazyData: yes
Encoding: UTF-8
Imports: xml2, crul (>= 0.3.8), stringr, jsonlite, reshape, plyr,
        data.table, tibble
Suggests: sangerseqR, testthat, vcr (>= 0.5.4)
RoxygenNote: 7.1.1
X-schema.org-applicationCategory: Data Access
X-schema.org-keywords: biodiversity, barcode, DNA, sequences, fasta
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2021-05-11 00:40:56 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2021-05-11 05:12:14 UTC

=== debian/changelog ===
r-cran-bold (1.2.0-2) unstable; urgency=medium

  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)
  * Make sure test data will be uncompressed (otherwise test times out)

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 15:00:35 +0100

r-cran-bold (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 12:28:00 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-plyr,
                r-cran-data.table,
                r-cran-tibble
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bold
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bold.git
 Homepage: https://cran.r-project.org/package=bold

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-vcr
Restrictions: allow-stderr

## r-cran-bold 1.3.0

=== DESCRIPTION ===
Package: bold
Version: 1.3.0
Title: Interface to Bold Systems API
Authors@R: c(person("Salix", "Dubois", role = c("aut", "cre"), 
                    email = "salixdubois+bold@gmail.com"),
             person("Scott", "Chamberlain", role = c("aut"),
                    email = "myrmecocystus@gmail.com",
                    comment = c(ORCID="0000-0003-1444-9135")))
Depends: R (>= 2.10)
Suggests: sangerseqR, testthat, vcr (>= 0.5.4), tibble
Imports: xml2, crul (>= 0.3.8), stringi, jsonlite, data.table, methods
Description: A programmatic interface to the Web Service methods provided by
    Bold Systems (<http://www.boldsystems.org/>) for genetic 'barcode' data.
    Functions include methods for searching by sequences by taxonomic names,
    ids, collectors, and institutions; as well as a function for searching
    for specimens, and downloading trace files.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/bold/ (documentation),
        https://github.com/ropensci/bold (source)
BugReports: https://github.com/ropensci/bold/issues
LazyData: yes
Encoding: UTF-8
RoxygenNote: 7.2.3
X-schema.org-applicationCategory: Data Access
X-schema.org-keywords: biodiversity, barcode, DNA, sequences, fasta
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2023-05-01 19:56:58 UTC; salix
Author: Salix Dubois [aut, cre],
  Scott Chamberlain [aut] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Salix Dubois <salixdubois+bold@gmail.com>
Repository: CRAN
Date/Publication: 2023-05-02 17:40:02 UTC

=== debian/changelog ===
r-cran-bold (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * No need to remove anything from upstream tarball

 -- Andreas Tille <tille@debian.org>  Sun, 11 Jun 2023 18:46:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,9 @@
                r-base-dev,
                r-cran-xml2,
                r-cran-crul,
-               r-cran-stringr,
+               r-cran-stringi,
                r-cran-jsonlite,
-               r-cran-reshape,
-               r-cran-plyr,
-               r-cran-data.table,
-               r-cran-tibble
+               r-cran-data.table
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bold
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bold.git
